import { ApplicationRemotePlugins } from '@c8y/client';
export declare function loadOptions(): Promise<any>;
export declare function getAllMFRemotes(options: Array<{
    remotes?: object;
}>): ApplicationRemotePlugins;
export declare function loginOptions(): Promise<unknown>;
export declare function loadUrlOptions(): any;
export declare function clearUrlOptionsCache(): void;
/**
 * Apply the given options to the C8Y_APP object in the window and update the document elements.
 * @param options - An object containing configuration options for the C8Y_APP object.
 * @returns - The updated options object.
 */
export declare function applyOptions(options: Record<string, unknown>): Record<string, unknown>;
export declare function setVersion(options: any): void;
export declare function updateTitle({ globalTitle }: {
    globalTitle: any;
}, document: any): void;
export declare function updateFavicon({ faviconUrl }: {
    faviconUrl?: string;
}, document: any): void;
export declare function updateBrandingUrl({ brandingUrl }: {
    brandingUrl: any;
}, document: any): void;
export declare function updateCss({ brandingCssVars, extraCssUrls }: {
    brandingCssVars: any;
    extraCssUrls: any;
}, document: any): void;
export declare function updateTranslations(options: any): void;
